import * as React from 'react';
interface SelectOption {
    value: string | number;
    text: string;
}
interface Checkbox {
    defaultChecked: boolean;
    checked: boolean;
    disabled?: boolean;
    color: string;
    id: string;
    required?: boolean;
    value?: string | number;
}
interface Radio {
    name: string;
    value: string | number;
    items: [{
        value: string | number;
        disabled?: boolean;
        label: string;
    }];
}
interface Input {
    type: 'text' | 'password' | 'number' | 'email' | 'checkbox' | 'radio' | 'select' | 'datePicker';
    onChange: () => void;
    defaultValue: string | number;
    label: string;
    id: string;
    required?: boolean;
    iconComponent?: 'svg';
    options?: SelectOption[];
    format?: string;
    views?: string[];
    disablePast?: boolean;
    disableFuture?: boolean;
    multiline?: boolean;
    rows?: number;
    rowsMax?: number;
    placeholder?: string;
    width?: 3 | 6 | 12;
    checkboxGroup?: Checkbox[];
    radioGroup?: Radio[];
}
interface Button {
    text: string;
    onClick: () => void;
    color?: string;
    textColor?: string;
    variant?: string;
    size?: string;
    className?: string;
    disabled?: boolean;
}
interface FormObject {
    inputs: Input[];
    buttons: Button[];
}
interface IFormProps {
    formObject: FormObject;
}
declare const Form: React.FunctionComponent<IFormProps>;
export default Form;
