import * as React from 'react';
export interface IButton {
    type: string;
    text: string;
    onClick?: () => void;
    color?: 'inherit' | 'default' | 'primary' | 'secondary' | undefined;
    textColor?: string;
    variant?: 'text' | 'outlined' | 'contained' | undefined;
}
export interface IButtons {
    align?: 'flex-start' | 'flex-end' | 'center';
    items: IButton[];
}
export interface ICheckbox {
    defaultChecked: boolean;
    checked: boolean;
    disabled?: boolean;
    color: string;
    id: string;
    required?: boolean;
    value?: string | number;
}
export interface IRadio {
    name: string;
    value: string | number;
    items: [{
        value: string | number;
        disabled?: boolean;
        label: string;
    }];
}
export interface ISelectOption {
    value: string | number;
    text: string;
}
export interface IInput {
    type: 'text' | 'password' | 'number' | 'email' | 'checkbox' | 'radio' | 'select' | 'datePicker' | 'slider';
    onChange?: () => void;
    defaultValue: string | number;
    label: string;
    id: string;
    required?: boolean;
    iconComponent?: React.ElementType;
    options?: ISelectOption[];
    format?: string;
    views?: string[];
    disablePast?: boolean;
    disableFuture?: boolean;
    multiline?: boolean;
    rows?: number;
    rowsMax?: number;
    placeholder?: string;
    width?: 3 | 6 | 12;
    checkboxGroup?: ICheckbox[];
    radioGroup?: IRadio[];
}
export interface IFormObject {
    inputs: IInput[];
    buttons: IButtons;
}
